/*
 * $Id: async.h,v 0.2 1991/08/28 02:22:02 ceder Exp $
 *
 * This file contains the parts of the async protocol that are common
 * to the server and the client.
 */


/*
 * What does this packet contain? (See doc/com-spec)
 */
typedef enum {
	ay_new_text = 0,
	ay_i_am_off = 1,	/* Obsoleted by ay_logout */
	ay_i_am_on_obsolete = 2, /* Sends a Who_info_old. */
	ay_conf_deleted = 3,
	ay_conf_created = 4,
	ay_new_name = 5,
	ay_i_am_on = 6,		/* Sends a Who_info when changeinge
				   conference or what-am-i-doing. */
	ay_sync_db = 7,		/* Database is syncing. */
	ay_leave_conf = 8,
	ay_login = 9,		/* Sends a Pers_no and connection
				   when someone logs in. */
	ay_broadcast = 10,	/* Sends Pers_no of sender and a string. */
	ay_rejected_connection = 11,
				/* A connection attempt was rejected
	       			   because LysKOM is full. */
	ay_send_message = 12,	/* A message is sent. */
	ay_logout = 13		/* Someone logs out. */
} Async;

