/*
 * log.c
 *
 * File created by ceder 1990-05-25.
 */

static char *rcsid = "$Id: log.c,v 0.2 1991/08/28 02:21:27 ceder Exp $";


#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "log.h"

/*
 * Add a string to the log file.
 */

extern void
log (const char * format, ...)
{
    va_list AP;

    va_start(AP, format);
    logv(format, AP);
    va_end(AP);
}


extern void
logv (const char *format, va_list AP)
{
    time_t clock;

    
    time(&clock);

    fprintf(stderr, "--LOGG-> %s: ", ctime(&clock));
    vfprintf(stderr, format, AP);

    fflush(stderr);
}
