/*
 * $Id: prot-a-send-async.h,v 0.2 1991/08/28 02:20:57 ceder Exp $
 *
 * Asynchronous messages in protocol A.
 */

void
prot_a_async_new_text(Connection *cptr,
		      Text_no	      text_no,
		      Text_stat      *text_s);

void
prot_a_async_i_am_on(Connection *cptr,
		     Who_info info);
void
prot_a_async_i_am_off(Connection *cptr,
		      Pers_no pers_no);
void
prot_a_async_logout(Connection *cptr,
		    Pers_no pers_no,
		    Session_no session_no);

void
prot_a_async_new_name(Connection *cptr,
		      Conf_no conf_no,
		      String old_name,
		      String new_name);

void
prot_a_async_sync_db(Connection *cptr);

void
prot_a_async_forced_leave_conf(Connection *cptr,
			       Conf_no	       conf_no);

void
prot_a_async_login(Connection *cptr,
		   Pers_no	   pers_no,
		   int		   session_no);


void
prot_a_async_broadcast(Connection *cptr,
		       Pers_no	     pers_no,
		       String	     message);

void
prot_a_async_rejected_connection(Connection *cptr);

void
prot_a_async_send_message(Connection *cptr,
			  Pers_no     recipient,
			  Pers_no     sender,
			  String      message);
