/*
 * $Id: memory.h,v 0.5 1991/08/28 02:21:19 ceder Exp $
 *
 * The time has come to get some order into this mess.
 *
 * From now on the following terminology is used:
 *
 *    alloc_		smalloc() the object. Increase _cnt.
 *    free_		sfree() the object. Decrease _cnt.
 *    clear_		free_() any objects contained in the object,
 *			but not the object itself.
 *     copy_		smalloc() a new object and also smalloc()
 *			any objects contained in it.
 */



extern Person *
alloc_person(void);

extern Conference *
alloc_conference(void);

extern Text_stat *
alloc_text_stat(void);

extern void
free_person(Person *person);

extern void
free_conference(Conference *confp);

extern void
free_text_stat(Text_stat *t);

extern Person *
copy_person(Person *p);

extern Conference *
copy_conf(Conference *c);

extern Text_stat *
copy_text_stat(Text_stat *c);

extern void
clear_conference(Conference *c);

extern void
clear_person(Person *p);

extern void
clear_text_stat(Text_stat *t);

#ifdef FILE

extern void
dump_alloc_counts(FILE *stat_file);

#endif
