# $Id: prot-a-parse-arg-c.awk,v 0.2 1991/08/28 02:21:05 ceder Exp $
BEGIN {
    printf("/* Don't edit this file - it is generated automatically");
    printf(" from\n   prot-a-parse-arg-c.awk and fncdef.txt */\n\n");
    printf("#include <setjmp.h>\n");
    printf("#include <kom-types.h>\n");
    printf("#include \"com.h\"\n");
    printf("#include \"isc.h\"\n");
    printf("#include \"connections.h\"\n");
    printf("#include \"isc-parse.h\"\n");
    printf("#include <server/smalloc.h>\n");
    printf("#include \"prot-a.h\"\n");
    printf("#include \"prot-a-parse.h\"\n");
    printf("#include \"prot-a-parse-arg.h\"\n");
    printf("#include <config.h>\n\n");
}
$1 != "#" {
    printf("void\nprot_a_parse_arg_%s(Connection *client)\n{\n", $2);
    printf("    switch( client->fnc_parse_pos )\n");
    printf("    {\n");
    num=0;
    string=0;
    c_string=0;
    for ( i = 3; i <= NF; i++)
    {
	if ( $i == ":" )
	    break;

	printf("    case %d:\n", i - 3);
	if ( $i == "num" )
	    printf("\tclient->num%d = prot_a_parse_long(client);\n", num++);
	else if ( $i == "c_string" )
	    printf("\tprot_a_parse_string(client, &client->c_string%d, %s);\n",
		   c_string++, $(++i));
	else if ( $i == "string" )
	    printf("\tprot_a_parse_string(client, &client->string%d, %s);\n",
		   string++, $(++i));
	else if ( $i == "priv_bits" )
	    printf("\tprot_a_parse_priv_bits(client, &client->priv_bits);\n");
	else if ( $i == "conf_type" )
	    printf("\tprot_a_parse_conf_type(client, &client->conf_type);\n");
	else if ( $i == "c_local_text_no_p" )
	{
	    printf("\tif ( parse_nonwhite_char(client) != '{' )\n");
	    printf("\t    longjmp(parse_env, ISC_PROTOCOL_ERR);\n");
	    printf("\tif ( client->num%d > MARK_AS_READ_CHUNK )\n", num-1);
	    printf("\t    longjmp(parse_env, ISC_PROTOCOL_ERR);\n");
	    printf("\n");
	    printf("\tclient->c_local_text_no_p = ");
	    printf("smalloc(client->num%d\n", num-1);
	    printf("\t\t\t\t\t    * sizeof(Local_text_no));\n\n");
	    printf("\tclient->array_parse_pos = 0;\n");
	    printf("\tclient->fnc_parse_pos = %d;\n", i - 2);
	    printf("    case %d:\n", i - 2);
	    printf("\twhile( client->array_parse_pos < ");
	    printf("client->num%d )\n", num-1);
	    printf("\t{\n");
	    printf("\t    client->c_local_text_no_p[ client->");
	    printf("array_parse_pos ]\n");
	    printf("\t\t= prot_a_parse_long(client);\n");
	    printf("\t    ++client->array_parse_pos;\n");
	    printf("\t}\n");
	    printf("\tclient->fnc_parse_pos = %d;", i - 1);
	    printf("    case %d:\n", i - 1);
	    printf("\tif ( parse_nonwhite_char(client) != '}' )\n");
	    printf("\t    longjmp(parse_env, ISC_PROTOCOL_ERR);\n");
	}
	else if ( $i == "c_misc_info_p" )
	{
	    printf("\tif ( parse_nonwhite_char(client) != '{' )\n");
	    printf("\t    longjmp(parse_env, ISC_PROTOCOL_ERR);\n");
	    printf("\tif ( client->num%d > MAX_CREA_MISC )\n", num-1);
	    printf("\t    longjmp(parse_env, ISC_PROTOCOL_ERR);\n");
	    printf("\n");
	    printf("\tclient->c_misc_info_p = ");
	    printf("smalloc(client->num%d\n", num-1);
	    printf("\t\t\t\t\t* sizeof(Misc_info));\n");
	    printf("\tclient->array_parse_pos = 0;\n");
	    printf("\tclient->fnc_parse_pos = %d;\n", i - 2);
	    printf("    case %d:\n", i - 2);
	    printf("\twhile( client->array_parse_pos < ");
	    printf("client->num%d )\n", num-1);
	    printf("\t{\n");
	    printf("\t    prot_a_parse_misc_info(client,");
	    printf(" &client->c_misc_info_p");
	    printf("[ client->array_parse_pos ]);\n");
	    printf("\t    ++client->array_parse_pos;\n");
	    printf("\t}\n");
	    printf("\tclient->fnc_parse_pos = %d;\n", i - 1);
	    printf("    case %d:\n", i - 1);
	    printf("\tif ( parse_nonwhite_char(client) != '}' )\n");
	    printf("\t    longjmp(parse_env, ISC_PROTOCOL_ERR);\n");
	}
	else
	    printf("#error in prot-a-parse-arg-c.awk: not ready yet.\n");

	if ( i != NF && $(i+1) != ":")
	    printf("\tclient->fnc_parse_pos = %d;\n", i - 2);
    }

    printf("    default:\n");
    printf("\tclient->fnc_parse_pos = 0;\n");
    printf("    }\n");
    printf("}\n\n");
}
END {
    printf("/* end of this auto generated file. */\n");
}
